Bug 176259 - Wrong getComputedStyle result for pseudo-elements in display: none subtrees.
Summary: Wrong getComputedStyle result for pseudo-elements in display: none subtrees.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-09-01 17:23 PDT by Emilio Cobos Álvarez (:emilio)
Modified: 2017-09-27 12:54 PDT (History)
9 users (show)

See Also:


Attachments
Patch (8.04 KB, patch)
2017-09-01 17:33 PDT, Emilio Cobos Álvarez (:emilio)
no flags Details | Formatted Diff | Diff
Patch (11.18 KB, patch)
2017-09-01 18:05 PDT, Emilio Cobos Álvarez (:emilio)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emilio Cobos Álvarez (:emilio) 2017-09-01 17:23:19 PDT
This is making other test-cases of getComputedStyle-pseudo.html fail.
Comment 1 Emilio Cobos Álvarez (:emilio) 2017-09-01 17:33:02 PDT
Created attachment 319677 [details]
Patch
Comment 2 Emilio Cobos Álvarez (:emilio) 2017-09-01 17:33:31 PDT
Antti, could you review? Thanks!
Comment 3 Emilio Cobos Álvarez (:emilio) 2017-09-01 18:05:43 PDT
Created attachment 319682 [details]
Patch
Comment 4 WebKit Commit Bot 2017-09-02 19:31:16 PDT
Comment on attachment 319682 [details]
Patch

Clearing flags on attachment: 319682

Committed r221542: <http://trac.webkit.org/changeset/221542>
Comment 5 WebKit Commit Bot 2017-09-02 19:31:18 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-09-27 12:54:10 PDT
<rdar://problem/34694247>